# Checkpoint
1.1 What is a program?

1.2 What is hardware?

1.3 List the five major components of a computer system.

1.4 What part of the computer actually runs programs?

1.5 What part of the computer serves as a work area to store a program and its data while the program is running?

1.6 What part of the computer holds data for long periods of time, even when there is no power to the computer?

1.7 What part of the computer collects data from people and from other devices?

1.8 What part of the computer formats and presents data for people or other devices?

1.9 What amount of memory is enough to store a letter of the alphabet or a small number?

1.10 What do you call a tiny "switch" that can be set to either on or off?

1.11 In what numbering system are all numeric values written as sequences of 0s and 1s?

1.12 What is the purpose of ASCII?

1.13 What encoding scheme is extensive to represent all the characters of all the languages in the world?

1.14 What do the terms "digital data" and "digital device" mean?

1.15 A CPU understands instructions that are written only in what language?

1.16 A program has to be copied into what type of memory each time the CPU executes it?

1.17 When a CPU executes the instructions in a program, it is engaged in what process?

1.18 What is assembly language?

1.19 What type of programming language allows you to create powerful and complex programs without knowing how the CPU works?

1.20 Each language has a set of rules that must be strictly followed when writing a program. What is this set of rules called?

1.21 What do you call a program that translates a high-level language program into a separate machine language program?

1.22 What do you call a program that both translates and executes the instructions in a high-level language program?

1.23 What type of mistake is usually caused by a misspelled key word, a missing punctuation character, or the incorrect use of an operator?
1.24 What fundamental set of programs controls the internal operations of the computer’s hardware?

1.25 What do you call a program that performs a specialized task, such as a virus scanner, a file compression program, or a data backup program?

1.26 Word processing programs, spreadsheet programs, email programs, Web browsers, and game programs belong to what category of software?
